LINUX.ORG.RU

2.4.22_Slackware_nvidia


0

0

при установке дров nvidia вот такой касяк You appear to be compiling the NVIDIA kernel module with a compiler different from the one that was used to compile the running kernel. This may be perfectly fine, but there are cases where this can lead to unexpected behaviour and system crashes.

If you know what you are doing and want to override this check, you can do so by setting IGNORE_CC_MISMATCH.

In any other case, set the CC environment variable to the name of the compiler that was used to compile the kernel.

*** Failed cc sanity check. Bailing out! *** make: *** [gcc-check] Ошибка 1

при установке дров на ядро 2.4.21 всё в порядке было в чём трабла то?

anonymous

Япония Корея и Китай объединяются чтобы создать конкурентноспособную операционную систему

насколько я знаю драйвера от нвидии доступны только для редхата

arruah ()

Re: 2.4.22_Slackware_nvidia

arruah (*) (2003-09-11 15:22:47.966965) ага, очень смешно сказал.

а вообще написано что ядро и дрова компилированы разными компиляторами, ну это я джумаю ты сам вкурил... тыком его, научным =)

anonymous ()

Re: 2.4.22_Slackware_nvidia

прога тебе выдает сообщение, что ты пытаешься скомпилировать модуль для ядра другим компилятором, чем тот, который у тебя стоит в системе. Перекомпилируй ядро тем же gcc, которым ты будешь компилировать модуль для нвидии.

gr_buza ★★★★ ()

Re: 2.4.22_Slackware_nvidia

обычно существенна только разница gcc2 <-> gcc3, но нвидиевцы перестраховываются. вообще если вы собираете модули самостоятельно, то полезно иметь и ядро собранное локально.

anonymous ()

Re: 2.4.22_Slackware_nvidia

Почитай здесь же на странице 666 постинг:
Slackware 9.0 & Nvidia > не грузятся иксы. (anonymous) .

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.